# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    print(WAPT.reset_host_uuid())
    restart_waptservice_if_possible()


def restart_waptservice_if_possible():
    if get_os_name() == "Windows":
        wapt_get_path = makepath(WAPT.wapt_base_dir, "wapt-get.exe")
        create_onetime_task("restart-waptservice", wapt_get_path, "restart-waptservice", 2)
        print("waptservice will restart in 2mins.")
    else:
        print("waptservice may need to be restarted.")
